Add ability to enable\disable multiple columns on project list page

2017-07-21 13:40 - Максим Цуприк

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Currently all project list  displays on multiple columns. What about to add abbility to disable this feature?

Related issues:

Related to Redmine - Defect #26853: Fix hardcoded project-index width for web... Closed

Is duplicate of Redmine - Feature #29482: Query system for Projects page Closed

History

#1 - 2017-07-22 13:17 - Go MAEDA

- Category set to Projects

#2 - 2017-07-31 10:51 - Eugene Belford

+1

since 3.4 new projects page design looks especially bad when there are subprojects available.

subprojects now hard to visually associate with their parent project. it looks like a mess :(

#3 - 2017-08-02 16:39 - Tatsuya Saito

+1

#4 - 2018-02-24 20:32 - Mischa The Evil

- Related to Defect #26853: Fix hardcoded project-index width for webkit and mozilla browsers added

#5 - 2018-11-12 06:05 - Yuichi HARADA

- File 26494-switch-project-list-views.patch added

- File multiple-columns.png added

- File single-column.png added

+1

Multiple columns are hard to see.

I changed it as follows.

1. The default shows multiple columns.

2. Single or Multiple columns switch by checkbox.

show on Multiple columns

 multiple-columns.png 

show on Single column

 single-column.png 

I made a patch, and attach it.

However, I changed the View(included JavaScript) and CSS only, so I did not create a functional test.

#6 - 2019-01-21 21:51 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate
The multi column layout has been improved in latest Redmine versions (3.4.8 and 4.0.1), please see #29951 for more details. Now root projects with

their subprojects are shown in their own box without breaking on multiple columns. Any feedback is welcome regarding the new projects page design.

In #29482 we discuss the possibility to allow users to chose between the current projects page (multiple columns) and classical table list, please

watch that ticket for updates. I'm closing this issue.

#7 - 2019-01-21 21:51 - Marius BĂLTEANU

- Is duplicate of Feature #29482: Query system for Projects page added

Files

26494-switch-project-list-views.patch 1.84 KB 2018-11-12 Yuichi HARADA

multiple-columns.png 136 KB 2018-11-12 Yuichi HARADA

single-column.png 144 KB 2018-11-12 Yuichi HARADA
